package com.hzya.frame.plugin.cinvoice.lexmis.entity;
import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * @description: 迈锐思-飞机行程单  
 * @tableName:   LEXMISCIV_PLANETICKET 
 * @entityName:  LexmiscivPlaneticketEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public class  LexmiscivPlaneticketEntity extends BaseEntity {
	public LexmiscivPlaneticketEntity(String PT_ID,String dataSourceCode) {
		this.PT_ID = PT_ID;
		this.setDataSourceCode(dataSourceCode);
	}

	/** 无备注 */
private String PT_ID;
/** 无备注 */
private String PT_ETICKETNO;
/** 无备注 */
private String PT_NO;
/** 无备注 */
private String PT_FSTATION;
/** 无备注 */
private String PT_TSTATION;
/** 无备注 */
private String PT_TSTATION1;
/** 无备注 */
private String PT_TSTATION2;
/** 无备注 */
private String PT_TSTATION3;
/** 无备注 */
private BigDecimal PT_PRICE;
/** 无备注 */
private String PT_FUNDSAMOUNT;
/** 无备注 */
private String PT_FUELAMOUNT;
/** 无备注 */
private String PT_TAXAMOUNT;
/** 无备注 */
private BigDecimal PT_AMOUNT;
/** 无备注 */
private String PT_TAXRATE;
/** 无备注 */
private BigDecimal PT_TAXRATEAMOUNT;
/** 无备注 */
private BigDecimal PT_NOTAXAMOUNT;
@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
private Date PT_DATE;
/** 无备注 */
private String PT_TIME;
/** 无备注 */
private String PT_SERIALNO;
/** 无备注 */
private String PT_IDNO;
/** 无备注 */
private String PT_CUSTOMER;
/** 无备注 */
private String PT_CARRIER;
/** 无备注 */
private String PT_CLASS;
/** 无备注 */
private String PT_VALIDDATE;
/** 无备注 */
private String PT_INVALIDDATE;
/** 无备注 */
private String PT_ALLOW;
/** 无备注 */
private String PT_VALIDCODE;
/** 无备注 */
private String PT_INSURANCE;
/** 无备注 */
private String PT_SALERCODE;
/** 无备注 */
private String PT_SALERNAME;
/** 无备注 */
private Date PT_MAKEDATE;
/** 无备注 */
private String PT_KEY;
/**  无备注  */
private Integer PT_COUNT;
/** 无备注 */
private String PT_DATETIME;
/** 无备注 */
private String PT_EDATETIME;
/** 无备注 */
private String PT_INTERNATIONALFLAG;
/** 无备注 */
private String PT_MARKDESC;
/** 无备注 */
private String PT_GPNUMBER;
/** 无备注 */
private String PT_ISSUINGSTATE;
/** 无备注 */
private String PT_FPHM;
/** 无备注 */
private String PT_PROMPTINFO;
/** 无备注 */
private String PT_BUYERNAME;
/** 无备注 */
private String PT_BUYERTAXNO;
/** 无备注 */
private String PT_ORIGINALNUMBER;
/** 无备注 */
private String PT_RUSHREDREASON;
/** 无备注 */
private String PT_ELECTRONICMARK;


/** 无备注 */
public void setPT_ID(String PT_ID) {
		this.PT_ID = PT_ID;
		}
/** 无备注 */
public String getPT_ID() {
		return PT_ID;
		}


/** 无备注 */
public void setPT_ETICKETNO(String PT_ETICKETNO) {
		this.PT_ETICKETNO = PT_ETICKETNO;
		}
/** 无备注 */
public String getPT_ETICKETNO() {
		return PT_ETICKETNO;
		}


/** 无备注 */
public void setPT_NO(String PT_NO) {
		this.PT_NO = PT_NO;
		}
/** 无备注 */
public String getPT_NO() {
		return PT_NO;
		}


/** 无备注 */
public void setPT_FSTATION(String PT_FSTATION) {
		this.PT_FSTATION = PT_FSTATION;
		}
/** 无备注 */
public String getPT_FSTATION() {
		return PT_FSTATION;
		}


/** 无备注 */
public void setPT_TSTATION(String PT_TSTATION) {
		this.PT_TSTATION = PT_TSTATION;
		}
/** 无备注 */
public String getPT_TSTATION() {
		return PT_TSTATION;
		}


/** 无备注 */
public void setPT_TSTATION1(String PT_TSTATION1) {
		this.PT_TSTATION1 = PT_TSTATION1;
		}
/** 无备注 */
public String getPT_TSTATION1() {
		return PT_TSTATION1;
		}


/** 无备注 */
public void setPT_TSTATION2(String PT_TSTATION2) {
		this.PT_TSTATION2 = PT_TSTATION2;
		}
/** 无备注 */
public String getPT_TSTATION2() {
		return PT_TSTATION2;
		}


/** 无备注 */
public void setPT_TSTATION3(String PT_TSTATION3) {
		this.PT_TSTATION3 = PT_TSTATION3;
		}
/** 无备注 */
public String getPT_TSTATION3() {
		return PT_TSTATION3;
		}


/** 无备注 */
public void setPT_PRICE(BigDecimal PT_PRICE) {
		this.PT_PRICE = PT_PRICE;
		}
/** 无备注 */
public BigDecimal getPT_PRICE() {
		return PT_PRICE;
		}


/** 无备注 */
public void setPT_FUNDSAMOUNT(String PT_FUNDSAMOUNT) {
		this.PT_FUNDSAMOUNT = PT_FUNDSAMOUNT;
		}
/** 无备注 */
public String getPT_FUNDSAMOUNT() {
		return PT_FUNDSAMOUNT;
		}


/** 无备注 */
public void setPT_FUELAMOUNT(String PT_FUELAMOUNT) {
		this.PT_FUELAMOUNT = PT_FUELAMOUNT;
		}
/** 无备注 */
public String getPT_FUELAMOUNT() {
		return PT_FUELAMOUNT;
		}


/** 无备注 */
public void setPT_TAXAMOUNT(String PT_TAXAMOUNT) {
		this.PT_TAXAMOUNT = PT_TAXAMOUNT;
		}
/** 无备注 */
public String getPT_TAXAMOUNT() {
		return PT_TAXAMOUNT;
		}


/** 无备注 */
public void setPT_AMOUNT(BigDecimal PT_AMOUNT) {
		this.PT_AMOUNT = PT_AMOUNT;
		}
/** 无备注 */
public BigDecimal getPT_AMOUNT() {
		return PT_AMOUNT;
		}


/** 无备注 */
public void setPT_TAXRATE(String PT_TAXRATE) {
		this.PT_TAXRATE = PT_TAXRATE;
		}
/** 无备注 */
public String getPT_TAXRATE() {
		return PT_TAXRATE;
		}


/** 无备注 */
public void setPT_TAXRATEAMOUNT(BigDecimal PT_TAXRATEAMOUNT) {
		this.PT_TAXRATEAMOUNT = PT_TAXRATEAMOUNT;
		}
/** 无备注 */
public BigDecimal getPT_TAXRATEAMOUNT() {
		return PT_TAXRATEAMOUNT;
		}


/** 无备注 */
public void setPT_NOTAXAMOUNT(BigDecimal PT_NOTAXAMOUNT) {
		this.PT_NOTAXAMOUNT = PT_NOTAXAMOUNT;
		}
/** 无备注 */
public BigDecimal getPT_NOTAXAMOUNT() {
		return PT_NOTAXAMOUNT;
		}


/** 无备注 */
public void setPT_DATE(Date PT_DATE) {
		this.PT_DATE = PT_DATE;
		}
/** 无备注 */
public Date getPT_DATE() {
		return PT_DATE;
		}


/** 无备注 */
public void setPT_TIME(String PT_TIME) {
		this.PT_TIME = PT_TIME;
		}
/** 无备注 */
public String getPT_TIME() {
		return PT_TIME;
		}


/** 无备注 */
public void setPT_SERIALNO(String PT_SERIALNO) {
		this.PT_SERIALNO = PT_SERIALNO;
		}
/** 无备注 */
public String getPT_SERIALNO() {
		return PT_SERIALNO;
		}


/** 无备注 */
public void setPT_IDNO(String PT_IDNO) {
		this.PT_IDNO = PT_IDNO;
		}
/** 无备注 */
public String getPT_IDNO() {
		return PT_IDNO;
		}


/** 无备注 */
public void setPT_CUSTOMER(String PT_CUSTOMER) {
		this.PT_CUSTOMER = PT_CUSTOMER;
		}
/** 无备注 */
public String getPT_CUSTOMER() {
		return PT_CUSTOMER;
		}


/** 无备注 */
public void setPT_CARRIER(String PT_CARRIER) {
		this.PT_CARRIER = PT_CARRIER;
		}
/** 无备注 */
public String getPT_CARRIER() {
		return PT_CARRIER;
		}


/** 无备注 */
public void setPT_CLASS(String PT_CLASS) {
		this.PT_CLASS = PT_CLASS;
		}
/** 无备注 */
public String getPT_CLASS() {
		return PT_CLASS;
		}


/** 无备注 */
public void setPT_VALIDDATE(String PT_VALIDDATE) {
		this.PT_VALIDDATE = PT_VALIDDATE;
		}
/** 无备注 */
public String getPT_VALIDDATE() {
		return PT_VALIDDATE;
		}


/** 无备注 */
public void setPT_INVALIDDATE(String PT_INVALIDDATE) {
		this.PT_INVALIDDATE = PT_INVALIDDATE;
		}
/** 无备注 */
public String getPT_INVALIDDATE() {
		return PT_INVALIDDATE;
		}


/** 无备注 */
public void setPT_ALLOW(String PT_ALLOW) {
		this.PT_ALLOW = PT_ALLOW;
		}
/** 无备注 */
public String getPT_ALLOW() {
		return PT_ALLOW;
		}


/** 无备注 */
public void setPT_VALIDCODE(String PT_VALIDCODE) {
		this.PT_VALIDCODE = PT_VALIDCODE;
		}
/** 无备注 */
public String getPT_VALIDCODE() {
		return PT_VALIDCODE;
		}


/** 无备注 */
public void setPT_INSURANCE(String PT_INSURANCE) {
		this.PT_INSURANCE = PT_INSURANCE;
		}
/** 无备注 */
public String getPT_INSURANCE() {
		return PT_INSURANCE;
		}


/** 无备注 */
public void setPT_SALERCODE(String PT_SALERCODE) {
		this.PT_SALERCODE = PT_SALERCODE;
		}
/** 无备注 */
public String getPT_SALERCODE() {
		return PT_SALERCODE;
		}


/** 无备注 */
public void setPT_SALERNAME(String PT_SALERNAME) {
		this.PT_SALERNAME = PT_SALERNAME;
		}
/** 无备注 */
public String getPT_SALERNAME() {
		return PT_SALERNAME;
		}


/** 无备注 */
public void setPT_MAKEDATE(Date PT_MAKEDATE) {
		this.PT_MAKEDATE = PT_MAKEDATE;
		}
/** 无备注 */
public Date getPT_MAKEDATE() {
		return PT_MAKEDATE;
		}


/** 无备注 */
public void setPT_KEY(String PT_KEY) {
		this.PT_KEY = PT_KEY;
		}
/** 无备注 */
public String getPT_KEY() {
		return PT_KEY;
		}


/** 无备注 */
public void setPT_COUNT(Integer PT_COUNT) {
		this.PT_COUNT = PT_COUNT;
		}
/** 无备注 */
public Integer getPT_COUNT() {
		return PT_COUNT;
		}


/** 无备注 */
public void setPT_DATETIME(String PT_DATETIME) {
		this.PT_DATETIME = PT_DATETIME;
		}
/** 无备注 */
public String getPT_DATETIME() {
		return PT_DATETIME;
		}


/** 无备注 */
public void setPT_EDATETIME(String PT_EDATETIME) {
		this.PT_EDATETIME = PT_EDATETIME;
		}
/** 无备注 */
public String getPT_EDATETIME() {
		return PT_EDATETIME;
		}


/** 无备注 */
public void setPT_INTERNATIONALFLAG(String PT_INTERNATIONALFLAG) {
		this.PT_INTERNATIONALFLAG = PT_INTERNATIONALFLAG;
		}
/** 无备注 */
public String getPT_INTERNATIONALFLAG() {
		return PT_INTERNATIONALFLAG;
		}


/** 无备注 */
public void setPT_MARKDESC(String PT_MARKDESC) {
		this.PT_MARKDESC = PT_MARKDESC;
		}
/** 无备注 */
public String getPT_MARKDESC() {
		return PT_MARKDESC;
		}


/** 无备注 */
public void setPT_GPNUMBER(String PT_GPNUMBER) {
		this.PT_GPNUMBER = PT_GPNUMBER;
		}
/** 无备注 */
public String getPT_GPNUMBER() {
		return PT_GPNUMBER;
		}


/** 无备注 */
public void setPT_ISSUINGSTATE(String PT_ISSUINGSTATE) {
		this.PT_ISSUINGSTATE = PT_ISSUINGSTATE;
		}
/** 无备注 */
public String getPT_ISSUINGSTATE() {
		return PT_ISSUINGSTATE;
		}


/** 无备注 */
public void setPT_FPHM(String PT_FPHM) {
		this.PT_FPHM = PT_FPHM;
		}
/** 无备注 */
public String getPT_FPHM() {
		return PT_FPHM;
		}


/** 无备注 */
public void setPT_PROMPTINFO(String PT_PROMPTINFO) {
		this.PT_PROMPTINFO = PT_PROMPTINFO;
		}
/** 无备注 */
public String getPT_PROMPTINFO() {
		return PT_PROMPTINFO;
		}


/** 无备注 */
public void setPT_BUYERNAME(String PT_BUYERNAME) {
		this.PT_BUYERNAME = PT_BUYERNAME;
		}
/** 无备注 */
public String getPT_BUYERNAME() {
		return PT_BUYERNAME;
		}


/** 无备注 */
public void setPT_BUYERTAXNO(String PT_BUYERTAXNO) {
		this.PT_BUYERTAXNO = PT_BUYERTAXNO;
		}
/** 无备注 */
public String getPT_BUYERTAXNO() {
		return PT_BUYERTAXNO;
		}


/** 无备注 */
public void setPT_ORIGINALNUMBER(String PT_ORIGINALNUMBER) {
		this.PT_ORIGINALNUMBER = PT_ORIGINALNUMBER;
		}
/** 无备注 */
public String getPT_ORIGINALNUMBER() {
		return PT_ORIGINALNUMBER;
		}


/** 无备注 */
public void setPT_RUSHREDREASON(String PT_RUSHREDREASON) {
		this.PT_RUSHREDREASON = PT_RUSHREDREASON;
		}
/** 无备注 */
public String getPT_RUSHREDREASON() {
		return PT_RUSHREDREASON;
		}


/** 无备注 */
public void setPT_ELECTRONICMARK(String PT_ELECTRONICMARK) {
		this.PT_ELECTRONICMARK = PT_ELECTRONICMARK;
		}
/** 无备注 */
public String getPT_ELECTRONICMARK() {
		return PT_ELECTRONICMARK;
		}


		}
